[Unit]
Description=Prometheus
Documentation=https://prometheus.io/docs/introduction/overview/
Wants=network-online.target
After=network-online.target

[Service]
Type=simple
User={{ prometheus_user }}
Group={{ prometheus_group }}
ExecReload=/bin/kill -HUP \$MAINPID
ExecStart=/usr/local/bin/prometheus \
  --config.file={{ prometheus_config_directory }}/prometheus.yml \
  --storage.tsdb.path={{ prometheus_db_directory }} \
  --web.console.templates={{ prometheus_config_directory }}/consoles \
  --web.console.libraries={{ prometheus_config_directory }}/console_libraries \
  --web.listen-address={{ prometheus_web_listen_address }} \
  --web.external-url={{ prometheus_web_external_url }}

SyslogIdentifier=prometheus
Restart=always

[Install]
WantedBy=multi-user.target